﻿define([
        "dojo/_base/declare",
 
        "dijit/_Widget",
        "dijit/_TemplatedMixin"
    ],
    function (
        declare,
 
        _Widget,
        _TemplatedMixin
    ) {
 
        return declare([_Widget, _TemplatedMixin], {

            templateString: "<div style='padding:20px'> \
<p style='padding-bottom:10px;'>Re-generate the API key for the Voicify Connector.  NOTE: Only one key is valid at a time.</p> \
<button onclick='generateKey()'>Generate API Key</button><div style='padding-top:10px; padding-bottom:30px;'> \
<input type='text' id='txtKey' name='txtKey' style='padding-left:5px' size='60'/></div> \
<p style='color:red;font-weight:bold;display:none;' id='error-msg'>An error has occurred while generating the key. Please check logs.</p> \
</div> "
        });
    });


function generateKey() {
    jQuery.ajax({
        url: '/voicifyapi/v1.0/generateapikey',
        dataType: 'text',
        success: function (data) {
            if (data) {
                var key = data.replace(/\"/g, "");
                jQuery('#txtKey').val(key);
            }
            else {
                jQuery('#error-msg').css("display", "block");
                jQuery('#error-msg').append(" (Key is undefined or empty).");
            }
        },
        error: function (xhr, status, error) {
            jQuery('#error-msg').css("display", "block");
            jQuery('#error-msg').append(" " + error);
        }
    });
}
